import {
  login,
  listCompany,
  createCompany,
  updateCompanyStatus,
  updateCompanyExpired,
  updateCompany,
} from "./request_methods";

export default {
  namespaced: true,
  state: {},
  actions: {
    asyncLogin(_, payload) {
      return login(payload)
    },
    asyncListCompany(_, payload) {
      return listCompany(payload)
    },
    asyncCreateCompany(_, payload) {
      return createCompany(payload)
    },
    asyncUpdateCompanyStatus(_, payload) {
      return updateCompanyStatus(payload)
    },
    asyncUpdateCompanyExpired(_, payload) {
      return updateCompanyExpired(payload)
    },
    asyncUpdateCompany(_, payload) {
      return updateCompany(payload)
    },
  },
  mutations: {
  }
};
